jif

## Class OutputExtensionInfo

- java.lang.Object
- - polyglot.frontend.AbstractExtensionInfo
  - - polyglot.frontend.ParserlessJLExtensionInfo
    - - polyglot.frontend.JLExtensionInfo
      - - jif.OutputExtensionInfo

- All Implemented Interfaces:
    polyglot.frontend.ExtensionInfo

      public class OutputExtensionInfo
      extends polyglot.frontend.JLExtensionInfo

  This is an extension to jl that is the target language of the jif extension. The only differences between this language and jl is in the translation pass. The input language is identical. This extension cannot live on its own: it only provides the passes after EXC_CHECK_ALL: that is those which deal with translation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `OutputExtensionInfo.OutputScheduler`

  - ### Field Summary

    - ### Fields inherited from class polyglot.frontend.AbstractExtensionInfo

      `classFileLoader, compiler, default_locations, extFM, nf, scheduler, stats, target_factory, ts`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputExtensionInfo(ExtensionInfo jifExtInfo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `polyglot.frontend.Scheduler` | `createScheduler()`
    `polyglot.frontend.goals.Goal` | `getCompileGoal(polyglot.frontend.Job job)`
    `polyglot.main.Options` | `getOptions()`
    `protected void` | `initTypeSystem()`

    - ### Methods inherited from class polyglot.frontend.JLExtensionInfo

      `keywords, parser`

    - ### Methods inherited from class polyglot.frontend.ParserlessJLExtensionInfo

      `compilerName, createNodeFactory, createTypeSystem, defaultFileExtension, getValidationGoal, jobExt, makeLoadedClassResolver, version`

    - ### Methods inherited from class polyglot.frontend.AbstractExtensionInfo

      `classFileLoader, cleanup, compiler, configureFileManager, configureFileManagerForPostCompiler, createClassFile, createFileManager, createFileSource, createFileSource, createOptions, defaultFileExtensions, defaultLocations, extFileManager, fileExtensions, getStats, getToExt, initCompiler, nodeFactory, outputExtensionInfo, scheduler, sourceLoader, targetFactory, toString, typeSystem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OutputExtensionInfo

          public OutputExtensionInfo(ExtensionInfo jifExtInfo)

  - ### Method Detail

    - #### getOptions

          public polyglot.main.Options getOptions()

      Specified by:
        `getOptions` in interface `polyglot.frontend.ExtensionInfo`
      Overrides:
        `getOptions` in class `polyglot.frontend.AbstractExtensionInfo`

    - #### createScheduler

          public polyglot.frontend.Scheduler createScheduler()

      Overrides:
        `createScheduler` in class `polyglot.frontend.ParserlessJLExtensionInfo`

    - #### getCompileGoal

          public polyglot.frontend.goals.Goal getCompileGoal(polyglot.frontend.Job job)

      Specified by:
        `getCompileGoal` in interface `polyglot.frontend.ExtensionInfo`
      Overrides:
        `getCompileGoal` in class `polyglot.frontend.ParserlessJLExtensionInfo`

    - #### initTypeSystem

          protected void initTypeSystem()

      Overrides:
        `initTypeSystem` in class `polyglot.frontend.ParserlessJLExtensionInfo`